Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Function_affine_plane_in_Rd Class Reference

A class for the function that defines an m-dimensional implicit affine plane embedded in d-dimensional Euclidean space. More...

`#include <include/gudhi/Functions/Function_affine_plane_in_Rd.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the domain dimension. Same as the ambient dimension of the sphere.
std::size_t | cod_d () const
| Returns the codomain dimension. Same as the codimension of the sphere.
Eigen::VectorXd | seed () const
| Returns a point on the affine plane.
| Function_affine_plane_in_Rd (const Eigen::MatrixXd &normal_matrix, const Eigen::VectorXd &offset)
| Constructor of the function that defines an m-dimensional implicit affine plane in the d-dimensional Euclidean space.
| Function_affine_plane_in_Rd (const Eigen::MatrixXd &normal_matrix)
| Constructor of the function that defines an m-dimensional implicit affine plane in the d-dimensional Euclidean space that passes through origin.

## Detailed Description

A class for the function that defines an m-dimensional implicit affine plane embedded in d-dimensional Euclidean space.

Examples
  manifold_tracing_flat_torus_with_boundary.cpp.

## Constructor & Destructor Documentation

## Function_affine_plane_in_Rd() [1/2]

Gudhi::coxeter_triangulation::Function_affine_plane_in_Rd::Function_affine_plane_in_Rd | ( | const Eigen::MatrixXd & | normal_matrix,
|  | const Eigen::VectorXd & | offset )

inline

Constructor of the function that defines an m-dimensional implicit affine plane in the d-dimensional Euclidean space.

Parameters

  [in] | normal_matrix | A normal matrix of the affine plane. The number of rows should correspond to the ambient dimension, the number of columns should correspond to the size of the normal basis (codimension).
  [in] | offset | The offset vector of the affine plane. The dimension of the vector should be the ambient dimension of the manifold.

## Function_affine_plane_in_Rd() [2/2]

Gudhi::coxeter_triangulation::Function_affine_plane_in_Rd::Function_affine_plane_in_Rd | ( | const Eigen::MatrixXd & | normal_matrix | ) |

inline

Constructor of the function that defines an m-dimensional implicit affine plane in the d-dimensional Euclidean space that passes through origin.

Parameters

  [in] | normal_matrix | A normal matrix of the affine plane. The number of rows should correspond to the ambient dimension, the number of columns should correspond to the size of the normal basis (codimension).

## Member Function Documentation

## operator()()

Eigen::VectorXd Gudhi::coxeter_triangulation::Function_affine_plane_in_Rd::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Function_affine_plane_in_Rd.h